## org.codehaus.groovy.grails.plugins.publishing
Class DefaultPluginPublisher

    java.lang.Object
      org.codehaus.groovy.grails.plugins.publishing.DefaultPluginPublisher

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class DefaultPluginPublisher

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`DefaultPluginPublisher(String revNumber, String repositoryURL)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`protected groovy.util.slurpersupport.GPathResult` `getPluginMetadata(String pluginName)`
`Object` `getProperty(String property)`
`String` `getRepositoryURL()`
`String` `getRevision()`
`Object` `invokeMethod(String method, Object arguments)`
`protected groovy.util.slurpersupport.GPathResult` `parsePluginList(Resource pluginsListFile)`
`groovy.util.slurpersupport.GPathResult` `publishRelease(String pluginName, Resource pluginsList)`
`groovy.util.slurpersupport.GPathResult` `publishRelease(String pluginName, Resource pluginsList, boolean makeLatest)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setRepositoryURL(String value)`
`void` `setRevision(String value)`
`void` `writePluginList(groovy.util.slurpersupport.GPathResult pluginList, Writer targetWriter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPluginPublisher

    public DefaultPluginPublisher(String revNumber,
                                  String repositoryURL)

Method Detail

### getRevision

    public String getRevision()

### setRevision

    public void setRevision(String value)

### getRepositoryURL

    public String getRepositoryURL()

### setRepositoryURL

    public void setRepositoryURL(String value)

### writePluginList

    public void writePluginList(groovy.util.slurpersupport.GPathResult pluginList,
                                Writer targetWriter)

### publishRelease

    public groovy.util.slurpersupport.GPathResult publishRelease(String pluginName,
                                                                 Resource pluginsList,
                                                                 boolean makeLatest)

### parsePluginList

    protected groovy.util.slurpersupport.GPathResult parsePluginList(Resource pluginsListFile)

### publishRelease

    public groovy.util.slurpersupport.GPathResult publishRelease(String pluginName,
                                                                 Resource pluginsList)

### getPluginMetadata

    protected groovy.util.slurpersupport.GPathResult getPluginMetadata(String pluginName)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project